ASNDISC(1)

NAME
asndisc - check ASN.1 biological sequence records for discrepancies

SYNOPSIS
asndisc [-] [-B] [-C N] [-F] [-I path] [-L str] [-N filename] [-P str] [-R] [-S] [-T] [-X tests] [-Z] [-a str] [-b] [-c] [-d tests] [-e tests] [-f] [-i filename] [-k] [-l] [-o filename] [-p path] [-r dir] [-s ext] [-t] [-u] [-w filename] [-x str]

DESCRIPTION
asndisc is a command-line tool to check ASN.1-format biological sequence records for discrepancies.

OPTIONS
A summary of options is included below.

-   Print usage message

-B  Big sequence report

-C N
    Max count

-F  Fix product name list

-I path
    Path to Indexed binary ASN.1 data

-L str
    Lineage to use

-N filename
    File with list of product names to check

-P str
    RePort type
    g   Genome
    b   Big sequence
    m   MegaReport
    t   Include Tag
    s   Tag for Superuser

-R  Remote fetching from ID

-S  Summary report

-T  Use threads

-X tests
    EXpand report categories (comma-delimited list of test names as listed below or ALL).

-Z  Remote CDS Product Fetch

-a str
    ASN.1 type
    a   Any (default)
    e   seq-Entry
    b   Bioseq
    s   bioseq-Set
    m   seq-subMit
    t   baTch bioseq-set
    u   batch seq-sUbmit
    c   Catenated seq-entry

-b  Batch file is Binary

-c  Batch file is Compressed

-d str
    Disable tests (comma-delimited list of test names as listed below).

-e str
    Enable tests (comma-delimited list of test names as listed below).

-f  Use Feature table output format

-i filename
    Single input file (standard input by default)

-k  Local fetching

-l  Load components in advance

-o filename
    Single output file

-p path
    Path to ASN.1 files

-r dir
    Output directory

-s ext
    Output file Suffix (.dr by default)

-t  Big Test Set

-u  Recurse

-w filename
    Suspect product rule filename

-x str
    File selection substring (.sqn by default)

  AVAILABLE TESTS

MISSING_GENES, EXTRA_GENES, MISSING_LOCUS_TAGS, DUPLICATE_LOCUS_TAGS, BAD_LOCUS_TAG_FORMAT, INCONSISTENT_LOCUS_TAG_PREFIX, NON_GENE_LOCUS_TAG, DISC_COUNT_NUCLEOTIDES, MISSING_PROTEIN_ID, INCONSISTENT_PROTEIN_ID, FEATURE_LOCATION_CONFLICT, GENE_PRODUCT_CONFLICT, DUPLICATE_GENE_LOCUS, EC_NUMBER_NOTE, PSEUDO_MISMATCH, JOINED_FEATURES, OVERLAPPING_GENES, OVERLAPPING_CDS, CONTAINED_CDS, RNA_CDS_OVERLAP, SHORT_CONTIG, INCONSISTENT_BIOSOURCE, SUSPECT_PRODUCT_NAMES, DISC_PRODUCT_NAME_TYPO, DISC_PRODUCT_NAME_QUICKFIX, INCONSISTENT_SOURCE_DEFLINE, PARTIAL_CDS_COMPLETE_SEQUENCE, EC_NUMBER_ON_UNKNOWN_PROTEIN, TAX_LOOKUP_MISSING, TAX_LOOKUP_MISMATCH, SHORT_SEQUENCES, SUSPECT_PHRASES, DISC_SUSPICIOUS_NOTE_TEXT, COUNT_TRNAS, FIND_DUP_TRNAS, FIND_BADLEN_TRNAS, FIND_STRAND_TRNAS, COUNT_RRNAS, FIND_DUP_RRNAS, RNA_NO_PRODUCT, TRANSL_NO_NOTE, NOTE_NO_TRANSL, TRANSL_TOO_LONG, CDS_TRNA_OVERLAP, COUNT_PROTEINS, DISC_FEAT_OVERLAP_SRCFEAT, MISSING_GENPRODSET_PROTEIN, DUP_GENPRODSET_PROTEIN, MISSING_GENPRODSET_TRANSCRIPT_ID, DISC_DUP_GENPRODSET_TRANSCRIPT_ID, DISC_PERCENT_N, N_RUNS, ZERO_BASECOUNT, ADJACENT_PSEUDOGENES, DISC_LONG_NO_ANNOTATION, NO_ANNOTATION, DISC_INFLUENZA_DATE_MISMATCH, DISC_SHORT_INTRON, DISC_MISSING_VIRAL_QUALS, DISC_SRC_QUAL_PROBLEM, DISC_MISSING_SRC_QUAL, DISC_DUP_SRC_QUAL, DISC_DUP_SRC_QUAL_DATA, DISC_HAPLOTYPE_MISMATCH, DISC_FEATURE_MOLTYPE_MISMATCH, DISC_CDS_WITHOUT_MRNA, DISC_EXON_INTRON_CONFLICT, DISC_FEATURE_COUNT, DISC_SPECVOUCHER_TAXNAME_MISMATCH, DISC_GENE_PARTIAL_CONFLICT, DISC_FLATFILE_FIND_ONCALLER, DISC_CDS_PRODUCT_FIND, DISC_DUP_DEFLINE, DUP_DISC_ATCC_CULTURE_CONFLICT, DISC_USA_STATE, DISC_INCONSISTENT_MOLTYPES, DISC_SUBMITBLOCK_CONFLICT, DISC_POSSIBLE_LINKER, DISC_TITLE_AUTHOR_CONFLICT, DISC_BAD_GENE_STRAND, DISC_MAP_CHROMOSOME_CONFLICT, DISC_RBS_WITHOUT_GENE, DISC_CITSUBAFFIL_CONFLICT, DISC_REQUIRED_CLONE, DISC_SOURCE_QUALS_ASNDISC, DISC_mRNA_ON_WRONG_SEQUENCE_TYPE, DISC_RETROVIRIDAE_DNA, DISC_CHECK_AUTH_CAPS, DISC_CHECK_RNA_PRODUCTS_AND_COMMENTS, DISC_MICROSATELLITE_REPEAT_TYPE, DISC_MITOCHONDRION_REQUIRED, DISC_UNPUB_PUB_WITHOUT_TITLE, DISC_QUALITY_SCORES, DISC_INTERNAL_TRANSCRIBED_SPACER_RRNA, DISC_PARTIAL_PROBLEMS, DISC_BACTERIAL_PARTIAL_NONEXTENDABLE_PROBLEMS, DISC_BACTERIAL_PARTIAL_NONEXTENDABLE_EXCEPTION, DISC_SUSPECT_RRNA_PRODUCTS, DISC_SUSPECT_MISC_FEATURES, DISC_BACTERIA_MISSING_STRAIN, DISC_MISSING_DEFLINES, DISC_MISSING_AFFIL, DISC_BACTERIA_SHOULD_NOT_HAVE_ISOLATE, DISC_BACTERIA_SHOULD_NOT_HAVE_MRNA, DISC_CDS_HAS_NEW_EXCEPTION, DISC_TRINOMIAL_SHOULD_HAVE_QUALIFIER, DISC_METAGENOMIC, DISC_METAGENOME_SOURCE, ONCALLER_GENE_MISSING, ONCALLER_SUPERFLUOUS_GENE, DISC_SHORT_RRNA, ONCALLER_CHECK_AUTHORITY, ONCALLER_CONSORTIUM, ONCALLER_STRAIN_CULTURE_COLLECTION_MISMATCH, ONCALLER_MULTISRC, ONCALLER_MULTIPLE_CULTURE_COLLECTION, DISC_SEGSETS_PRESENT, DISC_NONWGS_SETS_PRESENT, DISC_FEATURE_LIST, DISC_CATEGORY_HEADER, DISC_MISMATCHED_COMMENTS, DISC_STRAIN_TAXNAME_MISMATCH, DISC_HUMAN_HOST, DISC_BAD_BACTERIAL_GENE_NAME, TEST_BAD_GENE_NAME, ONCALLER_ORDERED_LOCATION, ONCALLER_COMMENT_PRESENT, ONCALLER_DEFLINE_ON_SET, ONCALLER_HIV_RNA_INCONSISTENT, SHORT_PROT_SEQUENCES, TEST_EXON_ON_MRNA, TEST_HAS_PROJECT_ID, ONCALLER_HAS_STANDARD_NAME, ONCALLER_MISSING_STRUCTURED_COMMENTS, DISC_REQUIRED_STRAIN, MISSING_GENOMEASSEMBLY_COMMENTS, DISC_BACTERIAL_TAX_STRAIN_MISMATCH, TEST_CDS_HAS_CDD_XREF, TEST_UNUSUAL_NT, TEST_LOW_QUALITY_REGION, TEST_ORGANELLE_NOT_GENOMIC, TEST_UNWANTED_SPACER, TEST_ORGANELLE_PRODUCTS, TEST_SP_NOT_UNCULTURED, TEST_BAD_MRNA_QUAL, TEST_UNNECESSARY_ENVIRONMENTAL, TEST_UNNECESSARY_VIRUS_GENE, TEST_UNWANTED_SET_WRAPPER, TEST_MISSING_PRIMER, TEST_UNUSUAL_MISC_RNA, TEST_AMPLIFIED_PRIMERS_NO_ENVIRONMENTAL_SAMPLE, TEST_DUP_GENES_OPPOSITE_STRANDS, TEST_SMALL_GENOME_SET_PROBLEM, TEST_OVERLAPPING_RRNAS, TEST_MRNA_SEQUENCE_MINUS_STRAND_FEATURES, TEST_TAXNAME_NOT_IN_DEFLINE, TEST_COUNT_UNVERIFIED, SHOW_TRANSL_EXCEPT, SHOW_HYPOTHETICAL_CDS_HAVING_GENE_NAME, TEST_DEFLINE_PRESENT, TEST_MRNA_OVERLAPPING_PSEUDO_GENE, FIND_OVERLAPPED_GENES, DISC_BIOMATERIAL_TAXNAME_MISMATCH, DISC_CULTURE_TAXNAME_MISMATCH, DISC_CHECK_AUTH_NAME, NON_RETROVIRIDAE_PROVIRAL, RNA_PROVIRAL, SHORT_SEQUENCES_200, DISC_10_PERCENTN, N_RUNS_14, MOLTYPE_NOT_MRNA, TECHNIQUE_NOT_TSA, MISSING_STRUCTURED_COMMENT, MISSING_PROJECT, MULTIPLE_CDS_ON_MRNA, DUP_DISC_CBS_CULTURE_CONFLICT, DIVISION_CODE_CONFLICTS, RRNA_NAME_CONFLICTS, EUKARYOTE_SHOULD_HAVE_MRNA, MRNA_SHOULD_HAVE_PROTEIN_TRANSCRIPT_IDS, ONCALLER_COUNTRY_COLON, ONCALLER_BIOPROJECT_ID, ONCALLER_STRAIN_TAXNAME_CONFLICT, ONCALLER_MORE_NAMES_COLLECTED_BY, ONCALLER_MORE_OR_SPEC_NAMES_IDENTIFIED_BY, ONCALLER_SUSPECTED_ORG_IDENTIFIED, ONCALLER_SUSPECTED_ORG_COLLECTED, ONCALLER_SWITCH_STRUCTURED_COMMENT_PREFIX, DISC_CITSUB_AFFIL_DUP_TEXT, ONCALLER_DUPLICATE_PRIMER_SET, END_COLON_IN_COUNTRY, DISC_PROTEIN_NAMES, DISC_TITLE_ENDS_WITH_SEQUENCE, DISC_INCONSISTENT_STRUCTURED_COMMENTS, DISC_INCONSISTENT_DBLINK, DISC_INCONSISTENT_MOLINFO_TECH, DISC_GAPS, DISC_BAD_BGPIPE_QUALS, TEST_SHORT_LNCRNA, TEST_TERMINAL_NS, TEST_ALIGNMENT_HAS_SCORE, UNCULTURED_NOTES_ONCALLER, SEQ_ID_PHRASES, NO_PRODUCT_STRING

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asnval(1), cleanasn(1).